#ifndef __HW_CONFIG
#define __HW_CONFIG
//#include "stm32f10x_type.h"

void ADC_Configuration(void);
void SPI_Config(u8 Mode, u8 Datasize, u8 Baudrate);
void SPI_SelectDevice(u8 Device);
void I2C_GPIO_Config(void);
void I2C_Hard_Config(void);
//void SpecialPeriphery(void);
void USB_Config(u8 State);
void StopMode(void);
void I2C_SendStart(void);
void I2C_SendStop(void);
void I2C_SendnoAck(void);
u8 I2C_WriteByte(u8 m_data);
u8 I2C_ReadByte(void);
u8 I2C_Send(u8 adresse, u8 reg, u8 data);
u8 I2C_Read(u8 adresse, u8 reg, u8 *data);
u8 I2C_Read2(u8 adresse, u8 reg, u8 *data);
void I2C_SetDataPort_OUT(void);
void I2C_SetDataPort_IN(void);
void UART_Print(char *p);
void UART_Print_FRESULT(char *info,int FRES);
void UART_Print_DEC(char *info,int i);
void ff_LCD_FRESULT(u16 x, u16 y, char *info,int FRES);
void ff_LCD_Text(u16 x, u16 y, char *info, char *text, u16 charColor);
void System_Init(void);
void I2C_SoftGPIO_Config(void);
void TP_GetAdXY(vs16 *x,vs16 *y);
void delay_us(u16 i);
void delay_ms(u16 time);
u16 grabADC(u8 channel);
u16 readADC1(u8 channel);
char *itoa(int, char *, int);
char *strrev(char *);

#endif /* __HW_CONFIG */

/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
